Bug 15306 - KWord crashes with signal 11 (SIGSEGV) on opening doc-files from W98
Summary: KWord crashes with signal 11 (SIGSEGV) on opening doc-files from W98
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: koffice   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-03 22:34 UTC by Inger Karin Haarbye
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-03 22:34:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Inger Karin Haarbye 2000-08-03 22:34:55 UTC
- or if I run kword from console - the document contains only lots of '???'

When crashing:
Here is a backtrace generated by DrKonqi:
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
[New Thread 1024 (LWP 10939)]
0x4104a749 in __wait4 () from /lib/libc.so.6
#0  0x4104a749 in __wait4 () from /lib/libc.so.6
#1  0x410b1758 in __DTOR_END__ () from /lib/libc.so.6
#2  0x4076f357 in KCrash::defaultCrashHandler () from
/usr/lib/libkdecore.so.3
#3  <signal handler called>
#4  0x413a2d14 in KoFilterManager::import () from
/usr/lib/libkofficecore.so.1
#5  0x413984e0 in KoDocument::openFile () from /usr/lib/libkofficecore.so.1
#6  0x400895d3 in KParts::ReadOnlyPart::openURL () from
/usr/lib/libkparts.so.1
#7  0x4113e146 in KWordDocument::initDoc () from /usr/lib/libkwordpart.so
#8  0x413b110f in KoApplication::start () from /usr/lib/libkofficecore.so.1
#9  0x4080fd60 in main () from /usr/lib/kword.so
#10 0x804a593 in strcpy () at ../sysdeps/generic/strcpy.c:31
#11 0x804b32a in strcpy () at ../sysdeps/generic/strcpy.c:31
#12 0x804b722 in strcpy () at ../sysdeps/generic/strcpy.c:31
#13 0x804ceae in strcpy () at ../sysdeps/generic/strcpy.c:31
#14 0x40fb8345 in __libc_start_main (main=0x804ca10 <strcpy+11072>, argc=7, 
    ubp_av=0xbffffad4, init=0x80498a0 <_init>, fini=0x804d328 <_fini>, 
    rtld_fini=0x4000de14 <_dl_fini>, stack_end=0xbffffacc)
    at ../sysdeps/generic/libc-start.c:111

Comment 1 Bernhard Rosenkraenzer 2000-08-04 09:04:13 UTC
KOffice isn't supposed to be able to read W98 files yet (there's an incomplete
import filter for 95 and 97).
The sig11 shouldn't happen though - I've passed it on to the developers of the
filter.


Note You need to log in before you can comment on or make changes to this bug.